
#include <Wire.h>  
#include <LiquidCrystal_I2C.h>
#include <stdio.h>
#include <ctype.h>

LiquidCrystal_I2C lcd(0x3F,20, 4);  // SET I2C Address
int count = 0; 
char c; 
String id;
void setup() 
{
  lcd.init();
  lcd.backlight(); // makes Backligh ON. 
  lcd.clear();     // Clears LCD
  lcd.home();      // Sets cursor at Column 0 and Line 0
  lcd.print("ROBO INDIA");  
  Serial.begin(9600);
}


void loop()  
{
 if(id == 0)
  {
   lcd.clear();                          
   lcd.setCursor(1,0);
   lcd.print("Swipe the Card");
   lcd.setCursor(0,1);
   lcd.print("                ");
  }
while(Serial.available()>0)
  {
   lcd.clear();        
   lcd.setCursor(4,0);
   lcd.print("RFID ID:");
   lcd.setCursor(2,1);
   lcd.print("                ");
 
   c = Serial.read();
   count++;
   id += c;
   if(count == 12)  
    {
      lcd.clear();
      lcd.setCursor(4,0);
      lcd.print("RFID ID:");  
      lcd.setCursor(2,1);
      lcd.print(id);
      Serial.print("RFID ID:");
      Serial.println(id);
      break; 
    }
  }
id="";
delay(1000);
}

